(function(){var eRm=function(){if(this.H2b){this.H2b();return;}var ub=eRm.prototype;ub.H2b=function(){this.shH="";this.hDF="";};ub.setServerURL=function(zW){
this.shH=zW;};ub.setServerIP=function(eLq){this.hDF=eLq;};ub.createSecureOutputStream=function(XH,fC){var wub=new ByteArray();var Ve=0;var LDg;
for(LDg in fC){Ve++;}wub.writeInt(Ve);for(LDg in fC){var BvD=fC[LDg];this.O3(wub,LDg);this.O3(wub,BvD);}wub.writeBytes(XH,0,XH.length);wub.position=0;
return wub;};ub.createSecureInputStream=function(XH,fC){var size=XH.readInt();for(var i=0; i<size; i++){var LDg=this.Qf(XH);var BvD=this.Qf(XH);
fC[LDg]=BvD;}var wub=new ByteArray();wub.writeBytes(XH,XH.position,XH.length-XH.position);wub.position=0;return wub;};ub.O3=function(XH,Ag){var i;
var v8g=Ag.length;XH.writeInt(v8g);var v;for(i=0; i<v8g; i++){v=Ag.charCodeAt(i);XH.writeByte((v>>>8)&255);XH.writeByte((v>>>0)&255);}};ub.Qf=function(XH){
var v8g;var w4q,Xlq;v8g=XH.readInt();if(v8g==-1){return "<NULL>";}else{if(v8g<-1){throw new Error("A malformed string has been read in a data input stream.");
}}var Ag="";var position=XH.position;for(var i=0; i<v8g; i++){w4q=XH[position+i*2];Xlq=XH[position+i*2+1];if((w4q|Xlq)<0){throw new Error("A malformed string has been read in a data input stream.");
}Ag+=String.fromCharCode((w4q<<8)+(Xlq<<0));}XH.position+=v8g*2;return Ag;};this.H2b();};return eRm;})();
